Brand Voice
Get brand voice
Get full details for a specific brand voice including all generated guidelines.
GET
/
brand-voices
/
{id}
Get brand voice
curl --request GET \
--url https://app.mavera.io/api/v1/brand-voices/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/brand-voices/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/brand-voices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/brand-voices/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "brand_voice",
"label": "<string>",
"usage_context": "<string>",
"status": "pending",
"error": "<string>",
"voice_summary": "<string>",
"tone": {
"adjectives": [
"<string>"
],
"dos": [
"<string>"
],
"donts": [
"<string>"
]
},
"writing_style": {
"sentence_structure": "<string>",
"jargon_usage": "<string>"
},
"vocabulary": {
"preferred_terms": [
"<string>"
],
"avoid_terms": [
"<string>"
]
},
"example_phrases": [
{
"use_case": "<string>",
"example": "<string>"
}
],
"sources": {
"urls": [
{
"id": "<string>",
"url": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"documents": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"file_type": "<string>",
"file_size": 123
}
]
},
"workspace_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}Authorizations
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Path Parameters
Brand voice ID
Response
Brand voice details
A brand voice profile for content generation
Unique brand voice identifier
Available options:
brand_voice Display name for the brand voice
Description of how this brand voice should be used
Current processing status of the brand voice
Available options:
pending, generating, completed, failed Error message if status is failed
AI-generated summary of the brand voice
Tone guidelines for the brand voice
Show child attributes
Show child attributes
Writing style guidelines
Show child attributes
Show child attributes
Vocabulary preferences
Show child attributes
Show child attributes
Example phrases demonstrating the brand voice
Show child attributes
Show child attributes
Source materials used to generate the brand voice
Show child attributes
Show child attributes
⌘I
Get brand voice
curl --request GET \
--url https://app.mavera.io/api/v1/brand-voices/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.mavera.io/api/v1/brand-voices/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.mavera.io/api/v1/brand-voices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.mavera.io/api/v1/brand-voices/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "<string>",
"object": "brand_voice",
"label": "<string>",
"usage_context": "<string>",
"status": "pending",
"error": "<string>",
"voice_summary": "<string>",
"tone": {
"adjectives": [
"<string>"
],
"dos": [
"<string>"
],
"donts": [
"<string>"
]
},
"writing_style": {
"sentence_structure": "<string>",
"jargon_usage": "<string>"
},
"vocabulary": {
"preferred_terms": [
"<string>"
],
"avoid_terms": [
"<string>"
]
},
"example_phrases": [
{
"use_case": "<string>",
"example": "<string>"
}
],
"sources": {
"urls": [
{
"id": "<string>",
"url": "<string>",
"name": "<string>",
"description": "<string>"
}
],
"documents": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"file_type": "<string>",
"file_size": 123
}
]
},
"workspace_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}{
"error": {
"message": "Invalid API key.",
"type": "authentication_error",
"code": "invalid_api_key",
"param": null
}
}